<template>
    <div ref="ggbContainer" class="ggb-container"></div>
</template>

<script lang="ts">
import { defineComponent, onMounted, ref } from 'vue';
export default defineComponent({
    name: 'GeoGebraCalculator',
    setup() {
        const ggbContainer = ref<HTMLDivElement | null>(null);

        onMounted(() => {
            if (!window.GGBApplet) {
                const script = document.createElement('script');
                script.src = 'https://www.geogebra.org/apps/deployggb.js';
                script.onload = () => {
                    initGeoGebra();
                };
                document.body.appendChild(script);
            } else {
                initGeoGebra();
            }

            function initGeoGebra() {
                var params = {
                    "id": "ggbApplet",
                    "appName": "scientific",
                    "width": 800,
                    "height": 800,
                    "showToolBar": true,
                    "borderColor": null,
                    "showMenuBar": true,
                    "allowStyleBar": true,
                    "showAlgebraInput": true,
                    "enableLabelDrags": false,
                    "enableShiftDragZoom": true,
                    "capturingThreshold": null,
                    "showToolBarHelp": false,
                    "errorDialogsActive": true,
                    "showTutorialLink": true,
                    "showLogging": true,
                    "useBrowserForJS": false
                };

                if (ggbContainer.value) {
                    const applet = new GGBApplet(params, true);
                    applet.inject(ggbContainer.value);
                }
            }
        });

        return {
            ggbContainer,
        };
    },
});
</script>

<style scoped>
.ggb-container {
    width: 100%;
    height: 100%;
    /* 其他样式 */
}
</style>